Name:           athena-cinnamon-base
Version:        1.0.0
Release:        4%{?dist}
Summary:        Cinnamon base configuration for Athena

License:        LicenseRef-custom
URL:            https://gitlab.com/athenaos/packages/desktop/athena-cinnamon-base
Source0:        2.json
Source1:        dconf-applets.ini
Source2:        athena-cinnamon-applications.menu
Source3:        cinnamon-init.desktop
Source4:        cinnamon-init

BuildArch:      noarch
Requires:       cinnamon
Requires:       cinnamon-settings-daemon
Requires:       ffmpeg-free
Requires:       gnome-screenshot
Requires:       xdg-user-dirs
Requires:       xdotool
Requires:       xdpyinfo
Requires:       xorg-x11-drv-libinput
Requires:       xwininfo

%description
Cinnamon base configuration for Athena OS. Includes layout, applets, startup
entries and system-wide cinnamon-specific configurations.

%prep
# Nothing to unpack

%build
# Nothing to build

%install
# Create directories
install -dm 755 %{buildroot}/etc/skel/.config/cinnamon/spices/grouped-window-list@cinnamon.org
install -dm 755 %{buildroot}/etc/xdg/autostart
install -dm 755 %{buildroot}/etc/xdg/menus/applications-merged
install -dm 755 %{buildroot}/etc/xdg/menus
install -dm 755 %{buildroot}/usr/bin
install -dm 755 %{buildroot}/usr/share/cinnamon

# Install files
install -Dm 644 %{SOURCE0} %{buildroot}/etc/skel/.config/cinnamon/spices/grouped-window-list@cinnamon.org/
install -Dm 644 %{SOURCE1} %{buildroot}/usr/share/cinnamon/
install -Dm 644 %{SOURCE2} %{buildroot}/etc/xdg/menus/applications-merged/athena-cinnamon-applications.menu
install -Dm 644 %{SOURCE3} %{buildroot}/etc/xdg/autostart/
install -Dm 755 %{SOURCE4} %{buildroot}/usr/bin/
touch %{buildroot}/etc/skel/.flag-cinnamon-once

%files
/etc/skel/.config/cinnamon/spices/grouped-window-list@cinnamon.org/2.json
/etc/skel/.flag-cinnamon-once
/etc/xdg/autostart/cinnamon-init.desktop
/etc/xdg/menus/applications-merged/athena-cinnamon-applications.menu
/usr/bin/cinnamon-init
/usr/share/cinnamon/dconf-applets.ini

%changelog
* Sun Apr 21 2025 Little Owl <littleowl@athenaos.org>
- Initial RPM packaging of Athena Cinnamon base config
